import { world } from "@minecraft/server"

//heals 2 hp
const tierOneFoodArray = [
    "minecraft:carrot",
    "minecraft:cookie",
    "minecraft:dried_kelp",
    "minecraft:glow_berries",
    "minecraft:melon",
    "minecraft:porkchop",
    "minecraft:potato",
    "minecraft:sweet_berries",
    "minecraft:apple",
    "minecraft:beetroot"
]

//heals 4 hp
const tierTwoFoodArray = [
    "minecraft:clownfish",
    "minecraft:fish",
    "minecraft:mutton",
    "minecraft:porkchop",
    "minecraft:salmon",
    "minecraft:beef",
    "minecraft:rabbit",
    "minecraft:bread",
    "minecraft:chicken"
]

//heals 6 hp
const tierThreeFoodArray = [
    "minecraft:baked_potato",
    "minecraft:cooked_fish",
]

//heals 8 hp
const tierFourFoodArray = [
    "minecraft:cooked_fish",
    "minecraft:cooked_rabbit",
    "minecraft:cooked_salmon",
    "minecraft:golden_carrot",
    "minecraft:cooked_mutton",
    "minecraft:cooked_beef",
    "minecraft:cooked_chicken",
    "minecraft:cooked_porkchop",
    "minecraft:pumpkin_pie",
    "minecraft:golden_carrot",
]

//heals 10 hp
const tierFiveFoodArray = [
    "minecraft:rabbit_stew",
    "minecraft:mushroom_stew",
    "minecraft:beetroot_soup",
]

world.events.itemCompleteCharge.subscribe((eventData) => {

    const player = eventData.source;
    const currentHealth = player.getComponent("minecraft:health").current;

    for (let i = 0; i < tierOneFoodArray.length; i++) {
        if (eventData.itemStack.typeId == tierOneFoodArray[i]) {
            player.getComponent("minecraft:health").setCurrent(currentHealth + 2);
            return;
        }
    };

    for (let i = 0; i < tierTwoFoodArray.length; i++) {
        if (eventData.itemStack.typeId == tierTwoFoodArray[i]) {
            player.getComponent("minecraft:health").setCurrent(currentHealth + 4);
            return;
        }
    };

    for (let i = 0; i < tierThreeFoodArray.length; i++) {
        if (eventData.itemStack.typeId == tierThreeFoodArray[i]) {
            player.getComponent("minecraft:health").setCurrent(currentHealth + 6);
            return;
        }
    };

    for (let i = 0; i < tierFourFoodArray.length; i++) {
        if (eventData.itemStack.typeId == tierFourFoodArray[i]) {
            player.getComponent("minecraft:health").setCurrent(currentHealth + 8);
            return;
        }
    };

    for (let i = 0; i < tierFiveFoodArray.length; i++) {
        if (eventData.itemStack.typeId == tierFiveFoodArray[i]) {
            player.getComponent("minecraft:health").setCurrent(currentHealth + 10);
            return;
        }
    };
})
